var r = "Expected a function";
function s(n) {
  if (typeof n != "function")
    throw new TypeError(r);
  return function() {
    var t = arguments;
    switch (t.length) {
      case 0:
        return !n.call(this);
      case 1:
        return !n.call(this, t[0]);
      case 2:
        return !n.call(this, t[0], t[1]);
      case 3:
        return !n.call(this, t[0], t[1], t[2]);
    }
    return !n.apply(this, t);
  };
}
export {
  s as default
};
